version: 2.1

parameters:
  run-module-a:
    type: boolean
    default: false
  run-module-b:
    type: boolean
    default: false

jobs:
  module-a:
    docker:
      - image: alpine
    steps:
      - checkout
      - run: "echo 'Hello from module A!'"
      - run: cat module-a/README.md

  module-b:
    machine: true
    steps:
      - checkout
      - run: "echo 'Hello from module B!'"
      - run: cat module-b/README.md

workflows:
  module-a:
    when: << pipeline.parameters.run-module-a >>
    jobs:
      - module-a
  module-b:
    when: << pipeline.parameters.run-module-b >>
    jobs:
      - module-b
